﻿@model LabMaintanance6.Models.tech2

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/stuff_layout.cshtml";
    var selectedComplainId = ViewBag.SelectedComplainId;
}

<head>
    <style>
        .big-textbox {
            width: 500px; /* Adjust the width as needed */
        }

        textarea.form-control {
            height: 150px; /* Adjust the height as needed */
            resize: vertical; /* Allow vertical resizing of the textarea */
        }

        .table-striped tbody tr:nth-of-type(odd) {
            background-color: #f9f9f9;
        }

        .table-striped tbody tr:nth-of-type(even) {
            background-color: #ffffff;
        }

        h2 {
            margin-top: 30px;
            margin-bottom: 20px;
        }

        .form-control {
            border-radius: 0;
        }

        .text-right {
            text-align: right;
        }

        .btn-default {
            color: #333;
            background-color: #fff;
            border-color: #ccc;
        }

            .btn-default:hover {
                color: #333;
                background-color: #e6e6e6;
                border-color: #adadad;
            }

            .btn-default:active,
            .btn-default.active {
                color: #333;
                background-color: #e6e6e6;
                border-color: #adadad;
            }
    </style>
</head>

<h2>Submit Action Details</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <table class="table table-striped">

        <tr>
            <th>Technician Name</th>
            <td>
                @Html.EditorFor(model => model.technicianName, "Technician Name", new { htmlAttributes = new { @class = "form-control", required = "required" } })
                @Html.ValidationMessageFor(model => model.technicianName, "", new { @class = "text-danger" })
            </td>
        </tr>
        <tr>
            <th>Action_Description</th>
            <td class="big-textbox">
                <textarea id="action_description" name="Action Description" class="form-control" required="required"></textarea>
                @Html.ValidationMessageFor(model => model.action_description, "", new { @class = "text-danger" })
            </td>
        </tr>
        <tr>
            <th>Action_Date</th>
            <td>
                @Html.EditorFor(model => model.action_date, "Action Date", new { htmlAttributes = new { @class = "form-control", required = "required" } })
                @Html.ValidationMessageFor(model => model.action_date, "", new { @class = "text-danger" })
            </td>
        </tr>
        <tr>
            <td colspan="2" class="text-right">
                <input type="submit" value="Create" class="btn btn-default" />
            </td>
        </tr>
    </table>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")

    <script>
        // Function to get the current date and time in yyyy-MM-dd HH:mm format
        function getCurrentDateTime() {
            var today = new Date();
            var year = today.getFullYear();
            var month = String(today.getMonth() + 1).padStart(2, '0');
            var day = String(today.getDate()).padStart(2, '0');
            var hours = String(today.getHours()).padStart(2, '0');
            var minutes = String(today.getMinutes()).padStart(2, '0');
            var dateTime = year + '-' + month + '-' + day + ' ' + hours + ':' + minutes;
            return dateTime;
        }

        // Set the current date and time in the action_date field
        $(document).ready(function () {
            var currentDateTime = getCurrentDateTime();
            $('#action_date').val(currentDateTime);
        });
    </script>
}